Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(13)

Issue 2380183002: Remove WebAudio doppler effect API surface (already no-ops) (Closed)

Created:
2 years, 11 months ago by Raymond Toy
Modified:
2 years, 10 months ago
Reviewers:
tkent, foolip, hongchan
CC:
blink-reviews, chromium-reviews, haraken, hongchan
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Remove WebAudio doppler effect API surface (already no-ops) Intent to Deprecate: https://groups.google.com/a/chromium.org/d/msg/blink-dev/-1SI1GoHYO8/6XUjRs-fdv4J Intent to Remove: https://groups.google.com/a/chromium.org/d/msg/blink-dev/59cVGPqud1M/gR8yby0_BgAJ Feature: https://www.chromestatus.com/features/5753252045914112 BUG=439644 TEST= patch from issue 2356223002 at patchset 20001 (http://crrev.com/2356223002#ps20001) Committed: https://crrev.com/9848564877f0057f4dcbc98bce061dfa17a9202c Cr-Commit-Position: refs/heads/master@{#423915}

Patch Set 1 #

Total comments: 3

Patch Set 2 : Remove test of deprecated doppler API #

Patch Set 3 : Rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+0 lines, -126 lines) Patch
M third_party/WebKit/LayoutTests/virtual/stable/webexposed/global-interface-listing-expected.txt View 1 2 2 chunks +0 lines, -6 lines 0 comments Download
M third_party/WebKit/LayoutTests/webaudio/audioparam-nominal-range-expected.txt View 1 chunk +0 lines, -2 lines 0 comments Download
M third_party/WebKit/LayoutTests/webaudio/doppler-deprecated.html View 1 1 chunk +0 lines, -21 lines 0 comments Download
M third_party/WebKit/LayoutTests/webaudio/doppler-deprecated-expected.txt View 1 1 chunk +0 lines, -21 lines 0 comments Download
M third_party/WebKit/LayoutTests/webexposed/global-interface-listing-expected.txt View 1 2 2 chunks +0 lines, -6 lines 0 comments Download
M third_party/WebKit/Source/core/frame/Deprecation.cpp View 1 2 2 chunks +0 lines, -26 lines 0 comments Download
M third_party/WebKit/Source/core/frame/UseCounter.h View 1 2 2 chunks +0 lines, -4 lines 0 comments Download
M third_party/WebKit/Source/modules/webaudio/AudioListener.h View 1 2 2 chunks +0 lines, -14 lines 0 comments Download
M third_party/WebKit/Source/modules/webaudio/AudioListener.cpp View 1 2 2 chunks +0 lines, -15 lines 0 comments Download
M third_party/WebKit/Source/modules/webaudio/AudioListener.idl View 1 chunk +0 lines, -4 lines 0 comments Download
M third_party/WebKit/Source/modules/webaudio/PannerNode.h View 1 2 1 chunk +0 lines, -1 line 0 comments Download
M third_party/WebKit/Source/modules/webaudio/PannerNode.cpp View 1 2 1 chunk +0 lines, -5 lines 0 comments Download
M third_party/WebKit/Source/modules/webaudio/PannerNode.idl View 1 chunk +0 lines, -1 line 0 comments Download

Messages

Total messages: 25 (11 generated)
Raymond Toy
PTAL. Just a few minor updates for the tests from the original CL.
2 years, 11 months ago (2016-09-29 20:55:39 UTC) #4
hongchan
lgtm with a nit. https://codereview.chromium.org/2380183002/diff/1/third_party/WebKit/LayoutTests/webaudio/doppler-deprecated.html File third_party/WebKit/LayoutTests/webaudio/doppler-deprecated.html (right): https://codereview.chromium.org/2380183002/diff/1/third_party/WebKit/LayoutTests/webaudio/doppler-deprecated.html#newcode11 third_party/WebKit/LayoutTests/webaudio/doppler-deprecated.html:11: shouldBeUndefined("listener.speedOfSound"); Hmm. Is this necessary?
2 years, 11 months ago (2016-09-29 20:58:28 UTC) #5
foolip
lgtm % nits https://codereview.chromium.org/2380183002/diff/1/third_party/WebKit/LayoutTests/webaudio/doppler-deprecated.html File third_party/WebKit/LayoutTests/webaudio/doppler-deprecated.html (right): https://codereview.chromium.org/2380183002/diff/1/third_party/WebKit/LayoutTests/webaudio/doppler-deprecated.html#newcode11 third_party/WebKit/LayoutTests/webaudio/doppler-deprecated.html:11: shouldBeUndefined("listener.speedOfSound"); On 2016/09/29 20:58:28, hoch wrote: ...
2 years, 11 months ago (2016-09-29 21:13:05 UTC) #6
foolip
See https://sites.google.com/a/chromium.org/dev/blink/importing-the-w3c-tests?pli=1#TOC-Experimental-WPT-contribution-workflow-with-Chromium-tools if you'd like to write wpt tests while having a Chromium reviewer and ...
2 years, 11 months ago (2016-09-29 21:16:46 UTC) #7
Raymond Toy
On 2016/09/29 21:13:05, foolip wrote: > lgtm % nits > > https://codereview.chromium.org/2380183002/diff/1/third_party/WebKit/LayoutTests/webaudio/doppler-deprecated.html > File third_party/WebKit/LayoutTests/webaudio/doppler-deprecated.html ...
2 years, 11 months ago (2016-09-29 21:40:31 UTC) #8
Raymond Toy
Do I need an intent to remove?
2 years, 11 months ago (2016-09-29 21:51:32 UTC) #9
foolip
On 2016/09/29 21:51:32, Raymond Toy wrote: > Do I need an intent to remove? Hmm, ...
2 years, 11 months ago (2016-09-29 21:59:35 UTC) #10
Raymond Toy
tkent: PTAL as API owner
2 years, 10 months ago (2016-10-05 18:29:19 UTC) #14
tkent
lgtm
2 years, 10 months ago (2016-10-05 23:35:47 UTC) #16
Raymond Toy
On 2016/09/29 21:16:46, foolip wrote: > See > https://sites.google.com/a/chromium.org/dev/blink/importing-the-w3c-tests?pli=1#TOC-Experimental-WPT-contribution-workflow-with-Chromium-tools > if you'd like to write ...
2 years, 10 months ago (2016-10-07 15:21:45 UTC) #17
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2380183002/40001
2 years, 10 months ago (2016-10-07 15:22:40 UTC) #20
foolip
On 2016/10/07 15:21:45, Raymond Toy wrote: > On 2016/09/29 21:16:46, foolip wrote: > > See ...
2 years, 10 months ago (2016-10-07 15:23:07 UTC) #21
commit-bot: I haz the power
Committed patchset #3 (id:40001)
2 years, 10 months ago (2016-10-07 18:33:55 UTC) #23
commit-bot: I haz the power
2 years, 10 months ago (2016-10-07 18:35:52 UTC) #25
Message was sent while issue was closed.
Patchset 3 (id:??) landed as
https://crrev.com/9848564877f0057f4dcbc98bce061dfa17a9202c
Cr-Commit-Position: refs/heads/master@{#423915}

Powered by Google App Engine
This is Rietveld 408576698